Name:          xchange
Version:       3.1.0
Release:       6%{?dist}
Summary:       Java library providing API for Bitcoin and Altcoin exchanges
License:       MIT
URL:           http://xeiam.com/xchange/
Source0:       https://github.com/timmolter/XChange/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.github.mmazi:rescu)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(io.netty:netty-all)
BuildRequires: mvn(javax.json:javax.json-api)
BuildRequires: mvn(net.iharder:base64)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.java-websocket:Java-WebSocket)
BuildRequires: mvn(javax.websocket:javax.websocket-client-api)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(com.pusher:pusher-java-client)

BuildArch:     noarch

%description
XChange is a Java library providing a streamlined API for
interacting with 50+ Bitcoin and Altcoin exchanges
providing a consistent interface for trading and
accessing market data.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n XChange-%{name}-%{version}
find . -name '*.class' -print -delete
find . -name '*.jar' -print -delete

%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :maven-failsafe-plugin

%pom_remove_dep :fest-assert-core

# io.socket:socket.io-client:0.2.1
%pom_disable_module xchange-huobi
%pom_disable_module xchange-coinsetter
# quickfixj:quickfixj-core:1.5.3-bd, quickfixj:quickfixj-msg-fix44:1.5.3-bd, com.github.nkzawa:socket.io-client:0.2.0
%pom_disable_module xchange-btcchina

# com.xeiam.xchart:xchart:2.5.0
%pom_disable_module xchange-examples

%build
# Test skipped for unavailable test deps: org.easytesting:fest-assert-core:jar:2.0M10
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc AUTHORS README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 12 2016 Jonny Heggheim <hegjon@gmail.com> - 3.1.0-3
- Small tidy of the spec file

* Mon Feb 01 2016 Jonny Heggheim <hegjon@gmail.com> - 3.1.0-2
- Enabled bitstamp, independentreserve, loyalbit and poloniex modules

* Sun Aug 30 2015 gil cattaneo <puntogil@libero.it> - 3.1.0-1
- initial rpm
